> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a bom

> Update a bom

### Path parameters

<ParamField path="id" type="string" required>
  BOM ID
</ParamField>

### Request body

`UpdateBomRequest`

<ParamField body="description" type="string,null" />

<ParamField body="name" type="string,null" />

<ParamField body="revision" type="string,null" />

<ParamField body="status" type="string,null">
  One of `draft`, `active`, `obsolete`.
</ParamField>

### Responses

<ResponseField name="200" type="BomResponse" />

<ResponseField name="400" type="ErrorBody" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request PUT \
    --url 'https://api.stateset.com/api/v1/boms/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "description": null,
    "name": null,
    "revision": null,
    "status": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "bom_number": "string",
    "component_count": 1,
    "created_at": "string",
    "description": null,
    "id": "string",
    "name": "string",
    "product_id": "string",
    "revision": "string",
    "status": "string"
  }
  ```
</ResponseExample>
